Skip to main content
GET
/
v2
/
agents
/
{agentId}
/
revisions
/
{buildId}
/
credentials
List Revision Secrets
curl --request GET \
  --url https://api.duvo.ai/v2/agents/{agentId}/revisions/{buildId}/credentials \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "service_slug": "<string>",
    "env_var_keys": [
      "<string>"
    ],
    "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.duvo.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication. Get your API key from the Duvo dashboard.

Path Parameters

agentId
string<uuid>
required
buildId
string<uuid>
required

Response

Default Response

id
string<uuid>
required
team_id
string<uuid>
required
user_id
string<uuid> | null
required
name
string
required
service_slug
string | null
required
env_var_keys
string[]
required
created_by
string<uuid>
required
created_at
string<date-time>
required
updated_at
string<date-time>
required